{
	"format_version": "1.10.0",
	"particle_effect": {
		"description": {
			"identifier": "shapescape:travel_location_selector_docks",
			"basic_render_parameters": {
				"material": "particles_alpha",
				"texture": "textures/particle/travel_location_particle"
			}
		},
		"components": {
			"minecraft:emitter_local_space": {
				"position": true,
				"rotation": true
			},
			"minecraft:emitter_rate_instant": {
				"num_particles": 1
			},
			"minecraft:emitter_lifetime_expression": {
				"expiration_expression": 0.0,
				"activation_expression": 1.0
			},
			"minecraft:particle_lifetime_expression": {
				"expiration_expression": 0.0
			},
			"minecraft:emitter_shape_point": {
				"direction": [0, 0, 0],
				"offset": [0, 0, 0]
			},
			"minecraft:particle_motion_parametric": {
				"relative_position": [
					0,
					"1.5 + math.sin(v.particle_age * 180) * 0.3",
					0
				]
			},
			"minecraft:particle_appearance_billboard": {
				"size": [0.7, 0.7],
				"facing_camera_mode": "rotate_y",
				"uv": {
					"texture_width": 32,
					"texture_height": 256,
					"uv": [0, "32*query.variant"],
					"uv_size": [32, 32]
				}
			},
			"minecraft:particle_appearance_lighting": {}
		}
	}
}
